use poem_openapi::{OpenApi, Tags};

mod health;
pub use health::HealthApi;

mod version;
pub use version::VersionApi;

mod errors;

mod auth;
pub use auth::AuthApi;

#[derive(Tags)]
enum ApiCategory {
    Auth,
    Health,
    Version,
}

pub struct Api;

#[OpenApi]
impl Api {}
